Loading...
Searching...
No Matches
ServiceNowRestDataProvider::ServiceNowRestDataProviderBase Class Reference

The ServiceNowRest data provider class. More...

`#include <ServiceNowRestDataProviderBase.qc.dox.h>`

Inheritance diagram for ServiceNowRestDataProvider::ServiceNowRestDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (ServiceNowRestClient::ServiceNowRestClient rest)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Protected Attributes

ServiceNowRestClient::ServiceNowRestClient | rest
| The REST client object for API calls.

## Detailed Description

The ServiceNowRest data provider class.